﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RadScheduleView_HeaderRotation
{
	public class GroupHeaderTemplateSelector : ScheduleViewDataTemplateSelector
	{
		public DataTemplate HorizontalTemplate { get; set; }
		public DataTemplate VerticalTemplate { get; set; }

		public DataTemplate HorizontalBottomLevelTemplate { get; set; }
		public DataTemplate VerticalBottomLevelTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container, ViewDefinitionBase activeViewDeifinition)
		{
			GroupHeader groupHeader = container as GroupHeader;
			if (groupHeader != null)
			{
				if (groupHeader.IsBottomLevel)
				{
					if (activeViewDeifinition.GetOrientation() == Orientation.Horizontal)
					{
						return this.HorizontalBottomLevelTemplate;
					}
					else
					{
						return this.VerticalBottomLevelTemplate;
					}
				}
				else
				{
					if (activeViewDeifinition.GetOrientation() == Orientation.Horizontal)
					{
						return this.HorizontalTemplate;
					}
					else
					{
						return this.VerticalTemplate;
					}
				}
			}
			return base.SelectTemplate(item, container, activeViewDeifinition);
		}
	}
}
